Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class MediaDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.SystemObjectDefinition
              oracle.ifs.beans.MediaDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  MediaBfileDefinition, MediaCustomDefinition, MediaLobDefinition

    public class MediaDefinition

extends SystemObjectDefinition

The `MediaDefinition` class is used to construct a Media object. This subclass of LibraryObjectDefinition sets the default ClassObject to "MEDIA"; all other behavior is inherited.
An instance of a MediaDefinition is passed to LibrarySession.createMedia() to construct the new media.
The following code fragment would be used to construct a new Media:

     MediaDefinition mdef = new MediaDefinition(session);

     // set the name of the new media
     mdef.setName("mediatype");

     // create it
     Media mediatype = session.createMedia(mdef);

Note: All the methods of interest are actually in the base class, LibraryObjectDefinition.

See Also:
  `LibraryObjectDefinition`, `Media`, `LibraryObjectDefinition.setName(java.lang.String)`, Serialized Form
(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`MediaDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`MediaDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`java.lang.String` | `getAlterTableSuffix()` Gets the string appended to the ALTER TABLE statement executed to add a column to a content table.
`java.lang.String` | `getCreateTableSuffix()` Gets the string appended to the CREATE TABLE statement executed to create a new content table.
`void` | `setAlterTableSuffix(java.lang.String suffix)` Sets the string appended to the ALTER TABLE statement executed to add a column to a content table.
`void` | `setCreateTableSuffix(java.lang.String suffix)` Sets the string appended to the CREATE TABLE statement executed to create a new content table.
`static MediaDefinition` | `toMediaDefinition(LibraryObjectDefinition lodef)` Casts the specified LibraryObjectDefinition to a MediaDefinition.
`static MediaDefinition` | `toMediaDefinition(LibraryObjectDefinition lodef, boolean enforceCompat)` Casts the specified LibraryObjectDefinition to a MediaDefinition.

Methods inherited from class oracle.ifs.beans.SystemObjectDefinition
`addCategoryDefinition, addCategoryDefinitionForUpdate, addCategoryDefinitions, addCategoryForDelete, getCategoriesForDelete, getCategoryDefinitions, getCategoryDefinitionsForUpdate, getCreateCategoriesServerSideOption, removeCategoriesForDelete, removeCategoryDefinitions, removeCategoryDefinitionsForUpdate, setCategoryDefinitions, setCreateCategoriesServerSideOption, toSystemObjectDefinition, toSystemObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaDefinition

    public MediaDefinition(LibrarySessionInterface session)
                    throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be Media.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### MediaDefinition

    public MediaDefinition(LibrarySessionInterface session,
                           java.lang.String className)
                    throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setCreateTableSuffix

    public void setCreateTableSuffix(java.lang.String suffix)
                              throws IfsException

  Description copied from class: `MediaDefinition`
  Sets the string appended to the CREATE TABLE statement executed to create a new content table.

  Parameters:
    `suffix` - the suffix, or null for none
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getCreateTableSuffix

    public java.lang.String getCreateTableSuffix()
                                          throws IfsException

  Description copied from class: `MediaDefinition`
  Gets the string appended to the CREATE TABLE statement executed to create a new content table.

  Returns:
    the suffix, or null for none
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setAlterTableSuffix

    public void setAlterTableSuffix(java.lang.String suffix)
                             throws IfsException

  Description copied from class: `MediaDefinition`
  Sets the string appended to the ALTER TABLE statement executed to add a column to a content table.

  Parameters:
    `suffix` - the suffix, or null for none
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getAlterTableSuffix

    public java.lang.String getAlterTableSuffix()
                                         throws IfsException

  Description copied from class: `MediaDefinition`
  Gets the string appended to the ALTER TABLE statement executed to add a column to a content table.

  Returns:
    the suffix, or null for none
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toMediaDefinition

    public static MediaDefinition toMediaDefinition(LibraryObjectDefinition lodef)
                                             throws IfsException

  Description copied from class: `MediaDefinition`
  Casts the specified LibraryObjectDefinition to a MediaDefinition.

  Returns null if the specified definition is not a MediaDefinition, or if the specified definition is null.

  Parameters:
    `lodef` - the definition
  Returns:
    the MediaDefinition or null
  Throws:
    `IfsException` - is not currently thrown
  (Unpublished)

### toMediaDefinition

    public static MediaDefinition toMediaDefinition(LibraryObjectDefinition lodef,
                                                    boolean enforceCompat)
                                             throws IfsException

  Description copied from class: `MediaDefinition`
  Casts the specified LibraryObjectDefinition to a MediaDefinition.

  Returns the MediaDefinition, or null if the specified definition is null. If the cast fails, returns null if `enforceCompat` is false or throws IfsException if `enforceCompat` is true.

  Parameters:
    `lodef` - the definition to cast
    `enforceCompat` - whether to throw an exception if the cast fails
  Returns:
    the MediaDefinition
  Throws:
    `IfsException` - (IFS-10822) if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD